File: changelog

package info (click to toggle)
qtwayland-opensource-src 5.11.3-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 6,176 kB
  • sloc: cpp: 34,472; xml: 4,903; ansic: 170; makefile: 39; sh: 5
file content (311 lines) | stat: -rw-r--r-- 11,848 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
qtwayland-opensource-src (5.11.3-2) unstable; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 16:59:01 -0300

qtwayland-opensource-src (5.11.3-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Make libqt5waylandclient5-dev and libqt5waylandcompositor5-dev depend
    on qtwayland5. These packages ship CMake files which reference plugin
    files from that package (LP: #1806186).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 22 Dec 2018 15:38:23 -0300

qtwayland-opensource-src (5.11.2-3) unstable; urgency=medium

  * Make tests non-fatal on mips/mipsel, because of failures.
  * Remove dbgsym migration code, it is no longer needed.
  * Minor debian/copyright update.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 17 Oct 2018 20:05:33 +0300

qtwayland-opensource-src (5.11.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Oct 2018 18:58:33 +0300

qtwayland-opensource-src (5.11.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.11.2.
  * Run upstream tests during build.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 04 Oct 2018 11:58:56 +0300

qtwayland-opensource-src (5.11.1-2) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:32 -0500

qtwayland-opensource-src (5.11.1-1) experimental; urgency=medium

  [ Simon Quigley ]
  * Add my name to Uploaders.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add debian/.gitattributes to use dpkg-mergechangelgs at merge time.
  * New upstream release.
    - Bump Qt build dependencies.
  * Mark qtwayland5-doc[-html] as Multi-Arch: foreign as noted by the
    multiarch hinter.
  * Update symbols files with current build log.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Bump dh compat to 11.
    - Require debhelper >= 11~.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Jun 2018 13:43:56 -0300

qtwayland-opensource-src (5.10.1-3) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 19:45:46 -0300

qtwayland-opensource-src (5.10.1-2) experimental; urgency=medium

  * Generate libqt5waylandclient5-dev. The files where previously generated
    and removed before packaging because they where not stable, but now a part
    of them have become stable so it's time to ship them.
    Also make the package recommend qtwayland5-dev-tools which provides the
    tools necessary to generate C++ interfaces form the XML definitions.
    Thanks Andreas Cord-Landwehr for the bug report! (Closes: #893387).
  * Add myself to debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 18 Mar 2018 17:10:48 -0300

qtwayland-opensource-src (5.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.10.1.
  * Update debian/watch for the new upstream tarball names.
  * Use dh_auto_configure provided by debhelper.
  * Fix cross builds by building and using native qtwaylandscanner and
    setting QMAKE_QMAKE and PKG_CONFIG_LIBDIR variables.
  * Remove obsolete note that Qt Wayland Compositor is a tech preview.
    It became an official module in Qt 5.8 release.
  * Add some new headers to libqt5waylandcompositor5-dev.install.
  * Update symbols files from the current build log.
  * Update debian/copyright.
  * Update Vcs fields for migration to salsa.debian.org.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Mar 2018 13:16:46 +0300

qtwayland-opensource-src (5.9.2-3) unstable; urgency=medium

  * Update for Qt binaries location change in qtbase 5.9.2+dfsg-3.
    - Install qtwaylandscanner to the new location.
    - Provide a compatibility symlink in the old location.
    - Bump qtbase5-private-dev and qttools5-dev-tools build-dependencies.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Oct 2017 11:34:14 +0300

qtwayland-opensource-src (5.9.2-2) experimental; urgency=medium

  * Move qtwaylandscanner tool into its own qtwayland5-dev-tools package,
    make that package Multi-Arch: foreign.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 18 Oct 2017 20:58:04 +0300

qtwayland-opensource-src (5.9.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.2.
  * Use debhelper compat level 10 and dh_missing.
  * Update symbols files from the current build log.
  * Bump Standards-Version to 4.1.1, stop using deprecated Priority: extra.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 16 Oct 2017 11:05:35 +0300

qtwayland-opensource-src (5.9.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 16 Aug 2017 15:29:50 +0300

qtwayland-opensource-src (5.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.1.
  * Bump Standards-Version to 4.0.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 07 Jul 2017 10:54:24 +0300

qtwayland-opensource-src (5.9.0-1) experimental; urgency=medium

  * New upstream stable release.
  * Do not install Qt5Gui_QWaylandXCompositeGlxPlatformIntegrationPlugin.cmake
    on armel/armhf.
  * Bump qtbase build-dependencies to 5.9.0 final.
  * Add support for nodoc build profile.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 09 Jun 2017 18:37:40 +0300

qtwayland-opensource-src (5.9.0~rc-1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Qt build-dependencies to 5.9.0.
  * Update libqt5waylandcompositor5-dev.install for the new version.
  * Drop the hack to remove Qt5Gui_.cmake, it is no longer generated.
  * Update the symbols files.
    - In Qt 5.7 the Qt Wayland Compositor library is a technical preview,
      so API/ABI stability was not guaranteed.
    - Qt Wayland Client library has no public API, all symbols are private.
  * Add debian/clean file.
  * Do not use gold linker, to keep the symbols versioned.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 May 2017 15:14:44 +0300

qtwayland-opensource-src (5.7.1~20161021-2) unstable; urgency=medium

  * Update symbols files with buildds' logs.
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Nov 2016 09:07:54 -0300

qtwayland-opensource-src (5.7.1~20161021-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Restore qtbase5-dev build-dependency.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream snapshot.
    - Bump Qt build dependencies.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Oct 2016 19:48:50 -0300

qtwayland-opensource-src (5.7.0-1) experimental; urgency=medium

  [ Harald Sitter ]
  * New upstream release.
  * New build depends on qtdeclarative5-private-dev
  * New package qtwayland5-examples now containing examples
  * New package libqt5waylandcompositor5 and -dev for new library
  * New package qml-module-qtwayland-compositor for new qml module
  * Refine install files to accommodate new library artifacts
  * Do not install private headers at all as they are unused according to
    codesearch

  [ Dmitry Shachnev ]
  * Bump Qt build-dependencies to 5.7.0.
  * Bump libwayland-dev build-dependency to 1.6.0, following upstream.
  * Build and install the Qt Wayland Compositor documentation.
  * Migrate to automatic dbgsym packages.
  * Massive debian/copyright update.
  * Update debian/libqt5waylandclient5.symbols. The whole library is private
    (has no public API), so removed symbols are OK.
  * Drop libqt5waylandclient5-dev package. This library has no public API.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 09 Jul 2016 00:01:41 +0300

qtwayland-opensource-src (5.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 10:06:10 -0300

qtwayland-opensource-src (5.6.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Remove a lonely example .pro file. There are no matching sources for it.
  * Be verbose while removing stuff.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 10 Jun 2016 14:00:30 -0300

qtwayland-opensource-src (5.6.0-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Also build depend upon qtbase5-dev. This ensures that this source will not
    migrate to testing before the minimum qtbase version required does even if
    the version in testing fullfills all the symbols.
  * Switch debian/watch back to official releases.
  * Use secure URLs for the repos.
  * Update Standards-Version to 3.9.7, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 19 Mar 2016 14:20:52 -0300

qtwayland-opensource-src (5.6.0~beta-1) experimental; urgency=medium

  * New upstream beta release.
  * Update debian/watch to track experimental releases (needs to be reverted
    before uploading 5.6.0 final).
  * Bump qtbase5-private-dev build-dependency to 5.6.0~beta.
  * Update debian/libqt5waylandclient5.symbols using migrate-symbols script.
  * Update debian/libqt5waylandclient5.symbols from amd64 build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 05 Jan 2016 22:13:08 +0300

qtwayland-opensource-src (5.5.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 15:41:28 -0300

qtwayland-opensource-src (5.5.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 16 Oct 2015 20:44:52 -0300

qtwayland-opensource-src (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Bump qtbase5-private-dev build-dependency to 5.5.0.
  * Bump libwayland-dev build-dependency to 1.4.0.
  * Add build-dependencies on libinput-dev and libxcomposite-dev.
  * Update libqt5waylandclient5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 26 Aug 2015 18:12:23 +0300

qtwayland-opensource-src (5.4.2-3) unstable; urgency=medium

  * Update symbols files with current build log against gcc5.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 09 Aug 2015 23:13:04 -0300

qtwayland-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 23 Jun 2015 12:44:45 -0300

qtwayland-opensource-src (5.4.2-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Limit libmtdev-dev and libudev-dev build-dependencies to linux-any.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 02 Jun 2015 18:04:18 -0300

qtwayland-opensource-src (5.4.1-1) experimental; urgency=medium

  * Initial release (closes: #697509).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 03 Mar 2015 13:36:49 +0300